#ifndef GENERIC_PWM_H
#define GENERIC_PWM_H

#include <Arduino.h>

class GenericPWM {
public:
    virtual ~GenericPWM() {}

    virtual void setupTimer() = 0;
    virtual void setPwmDuty(byte duty, byte pwmPin) = 0;
};

#endif
